## keepassx 0.4.3+dfsg

=== share/CMakeLists.txt ===
# CMake is still experimental, use qmake instead

INSTALL(DIRECTORY keepassx/i18n keepassx/icons
	DESTINATION ${SHAREDIR}
	PATTERN *.qm EXCLUDE
	PATTERN *~ EXCLUDE
	PATTERN .svn EXCLUDE
)

INSTALL(FILES keepassx/license.html DESTINATION ${SHAREDIR})

IF (NOT MINGW AND NOT APPLE)
	INSTALL(DIRECTORY applications
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY mime
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY mimelnk
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
	INSTALL(DIRECTORY pixmaps
		DESTINATION ${SHAREDIR_APP}
		PATTERN *~ EXCLUDE
		PATTERN .svn EXCLUDE
	)
ENDIF (NOT MINGW AND NOT APPLE)
