=== debian/control ===
Source: keepassx
Section: utils
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Uploaders: David Valot <ptitdav69@gmail.com>,
           Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.0.50~),
               libqt4-dev (>= 4.3.0),
               libxtst-dev
Standards-Version: 3.8.4
Homepage: http://www.keepassx.org/
Vcs-Bzr: https://code.launchpad.net/~keepassx/keepassx/debian

Package: keepassx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Cross Platform Password Manager
 KeePassX is a free/open-source password manager or safe which helps you
 to manage your passwords in a secure way. You can put all your
 passwords in one database, which is locked with one master key or a
 key-disk. So you only have to remember one single master password or
 insert the key-disk to unlock the whole database. The databases are
 encrypted using the algorithms AES or Twofish.
