=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	qmake-qt4 -makefile -nocache QMAKE_STRIP=: PREFIX=/usr \
		QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS)" \
		QMAKE_CFLAGS_RELEASE="$(CFLAGS)" \
		QMAKE_LFLAGS_RELEASE="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- INSTALL_ROOT="$(CURDIR)/debian/keepassx"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin build
