=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://sf.net/keepassx/ keepassx-(\d[\d_.]+)\.tar\.gz
