=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: keepassx
 Section: utils
 Priority: optional
-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
 Uploaders: David Valot <ptitdav69@gmail.com>,
            Felix Geyer <debfx-pkg@fobos.de>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libqt4-dev (>= 4.3.0),
-               libxtst-dev
-Standards-Version: 3.8.4
+               libxtst-dev,
+               imagemagick,
+               libmagickcore-extra
+Standards-Version: 3.9.3
 Homepage: http://www.keepassx.org/
 Vcs-Bzr: https://code.launchpad.net/~keepassx/keepassx/debian
