## keepassx 0.4.3-1

=== debian/changelog ===
keepassx (0.4.1) unstable; urgency=low

  * Bumped to 0.4.1

 -- Timothy Redaelli <timothy@redaelli.eu>  Mon, 14 Dec 2009 18:13:01 +0100

keepassx (0.2.2-3osso) unstable; urgency=low

  * Add Maximize button support - Mark Bergman patch (  bergman@merctech.com ) 
  * Set Large Fonts -  Mark Bergman patch (  bergman@merctech.com )
  * Correct some package Bugs

 -- Antonio Aloisio <gnuton@gnuton.org>  Tue, 11 Mar 2008 20:20:13 +0100

keepassx (0.2.2-2osso) unstable; urgency=low

  * Imported to maemo Qt4 repository 

 -- Antonio Aloisio <gnuton@gnuton.org>  Fri, 28 Dic 2007 00:07:08 +0100
