## keepassx 0.4.4-1maemo

=== debian/changelog ===
keepassx (0.4.4-1maemo) unstable; urgency=low

  * Upgrade to 0.4.4
  * Changed prefix to /opt/usr
  * Added dpatch to build-depends

 -- Christian Weniger <less_to_space@web.de>  Wed, 31 Jan 2018 15:31:00 +0100

keepassx (0.4.3-3maemo) unstable; urgency=low

  * Disable menus to improve usability
  * Database creation is no longer possible
  * Group management is no longer possible
  * Autotype compilation switch turned off, feature does not work on Maemo5
  * Add scrollable viewports for edit-entry, password-generation and settings dialogs.

 -- Yves Martin <ymartin59@free.fr>  Sun, 23 Jun 2011 18:39:00 +0100

keepassx (0.4.3-1maemo) unstable; urgency=low

  * Upgrade to 0.4.3

 -- Yves Martin <ymartin59@free.fr>  Wed, 29 Dec 2010 19:35:00 +0100
