=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Timothy Redaelli <timothy@redaelli.eu>
-Build-Depends: debhelper (>= 5.0.0), libqt4-dev, libpng12-dev, libxtst-dev, libxi-dev
+Build-Depends: debhelper (>= 5.0.0), dpatch, libqt4-dev, libpng12-dev, libxtst-dev, libxi-dev
 Standards-Version: 3.7.2
 
 Package: keepassx
@@ -58,4 +58,3 @@
  .
   Homepage: http://keepassx.sourceforge.net
   Keepass for maemo homepage: http://qt4.garage.maemo.org
-XSBC-Bugtracker: http://sourceforge.net/tracker/?group_id=166631&atid=839779
