=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 build-stamp: 
 	dh_testdir
 	#/opt/qt4-maemo5/bin/
-	qmake-qt4 PREFIX=/usr QMAKE_CFLAGS_DEBUG="$(CFLAGS)" QMAKE_CXXFLAGS_DEBUG="$(CFLAGS)" DEBUG=1
+	qmake-qt4 PREFIX=/opt/usr QMAKE_CFLAGS_DEBUG="$(CFLAGS)" QMAKE_CXXFLAGS_DEBUG="$(CFLAGS)" DEBUG=1 AUTOTYPE=0
 	$(MAKE)
 	touch build-stamp
 
@@ -27,6 +27,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	qmake keepassx.pro
 	-$(MAKE) distclean
 	rm -rf src/Makefile Makefile
 	dh_clean
