=== debian/changelog ===
keepassx (2.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #813608)
  * d/control: Point Vcs-* to the new git repo.
  * Update watch file.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 04 Feb 2016 21:47:37 +0100

keepassx (2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #707634)
    - Completely rewritten compared to 0.x series
      (closes: #707634, #685533, #714357, #763083, #791858)
    - pronouncable password generator has been dropped (closes: #645499)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Jan 2016 19:24:30 -0500

keepassx (2.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 11 Sep 2015 23:55:20 +0200

keepassx (2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 19 Jul 2015 20:49:14 +0200

keepassx (2.0~alpha6-1) experimental; urgency=medium

  * New upstream alpha release.
    - Supports the .kdbx (KeePass 2) file format.
  * Drop fix_ftbfs_gcc47.diff, not needed anymore.
  * Switch debian/rules to use cmake and run unit tests.
  * Redo debian/copyright.
  * Update watch file.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 15 Aug 2014 00:00:01 +0200
